Download it now!
Bug 103332 - New default cell styles dont appear in TDF builds
Summary: New default cell styles dont appear in TDF builds
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords:
Depends on:
Blocks: 90937
  Show dependency treegraph
 
Reported: 2016-10-19 13:14 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-12-22 17:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-19 13:14:45 UTC
Steps:
1) Open Calc
2) Open the sidebar's styles and formatting
3) Notice that only Default is listed and none of the default cell styles

This occurs in tdf builds but not git builds

Version: 5.3.0.0.alpha0+
Build ID: e64ea98801d20e5024da900a0ac8faaf565f4bf3
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-18_04:29:35
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Aron Budea 2016-10-19 15:45:28 UTC
Confirmed with TDF-build (a bit old, but suitable for the purpose), only shows Default:
Version: 5.3.0.0.alpha0+
Build ID: cf4ff92144726a91508fcaf4be21170eac5cb99a
CPU Threads: 4; OS Version: Windows 6.1; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-01_00:13:03
Locale: hu-HU (hu_HU); Calc: group

Lists Accent, Heading, Status and Text as well with self-built version:
Version: 5.3.0.0.alpha0+
Build ID: 9088f8e5bc2d3288853096dc10548f70f199891a
CPU Threads: 4; OS Version: Windows 6.1; UI Render: GL; 
Locale: hu-HU (hu_HU); Calc: group
Comment 2 Yousuf Philips (jay) (retired) 2016-11-07 14:51:03 UTC
So i mentioned this issue to moggi on irc and he said "that means it is not registered in scp". @Cloph: Any input on this.
Comment 3 Markus Mohrhard 2016-11-09 07:48:47 UTC
This is still something I need to fix.
Comment 4 Adolfo Jayme 2016-12-21 06:58:44 UTC
https://cgit.freedesktop.org/libreoffice/core/commit/?id=df4b8ae22feb8283d2f7f37f12e1bf87e3c8cd57

tdf#103332, install the new calc default styles correctly
Comment 5 Commit Notification 2016-12-21 07:06:36 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df4b8ae22feb8283d2f7f37f12e1bf87e3c8cd57

tdf#103332, install the new calc default styles correctly

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Mike Saunders 2016-12-22 08:40:00 UTC
Thanks Markus. Will this be fixed in 5.3.0 as well? I'm just wondering whether to mention the new default styles in my LibreOffice 5.3 New Features videos...
Comment 7 Markus Mohrhard 2016-12-22 14:42:34 UTC
(In reply to Mike Saunders from comment #6)
> Thanks Markus. Will this be fixed in 5.3.0 as well? I'm just wondering
> whether to mention the new default styles in my LibreOffice 5.3 New Features
> videos...

Yes, obviously that is the plan. Actually we need them there as the old styles are gone.
Comment 8 Commit Notification 2016-12-22 15:32:02 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1afb3e65ca6d3fa382f9aa948195413dcdaef11&h=libreoffice-5-3

tdf#103332, install the new calc default styles correctly

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Markus Mohrhard 2016-12-22 17:04:07 UTC
Should be fixed now.